#include "lcrypt/rsa_pubkey.h"

//_attribute__ ((section(".flash_data")))
const uint8_t rsa_n[RSA_N_SIZE] = { 
    0x09, 0x46, 0x3E, 0xF8, 0x13, 0xB0, 0x42, 0x45, 0x3D, 0x98, 
    0x34, 0x58, 0xBA, 0x30, 0xD7, 0x30, 0xE9, 0xFC, 0x13, 0xE5, 
    0xA1, 0xFD, 0xE8, 0xE2, 0x8F, 0x8C, 0x93, 0xAA, 0x87, 0xF8, 
    0x6B, 0xC0, 0xC0, 0xAA, 0x85, 0xCA, 0x13, 0x29, 0x3C, 0xF2, 
    0x01, 0x6F, 0x8C, 0xD5, 0xF6, 0x8A, 0x98, 0x9D, 0x3B, 0x9D, 
    0x72, 0x86, 0xB8, 0x44, 0xC4, 0xBF, 0x47, 0x45, 0x8C, 0x1B, 
    0x64, 0x41, 0xA6, 0x70, 0xD3, 0x97, 0xFF, 0xD3, 0x2B, 0xBC, 
    0x32, 0x9E, 0xDE, 0x1A, 0x10, 0xE3, 0x0A, 0xC9, 0x35, 0xFD, 
    0x10, 0x14, 0x1D, 0xBE, 0x0C, 0x14, 0x2E, 0x0A, 0xAE, 0xDB, 
    0x05, 0xB7, 0xD4, 0x10, 0x1E, 0xA9, 0x01, 0xBA, 0xE2, 0x67, 
    0x55, 0x12, 0xEC, 0x86, 0x1D, 0x4F, 0x06, 0xC5, 0x08, 0x85, 
    0x15, 0xEB, 0x08, 0x96, 0x78, 0xA5, 0xBD, 0x85, 0xB7, 0x5F, 
    0xC9, 0x35, 0x9A, 0xB6, 0x7D, 0x3A, 0x85, 0x7A, 0x58, 0xB7, 
    0x40, 0x1F, 0x2C, 0x13, 0x33, 0x3C, 0x67, 0x23, 0x50, 0x7F, 
    0xB5, 0x28, 0x82, 0x54, 0x2E, 0x2A, 0xF4, 0x62, 0x47, 0xED, 
    0xCB, 0xBD, 0x4A, 0x6B, 0x35, 0xFB, 0x50, 0xEC, 0x9F, 0xE6, 
    0x4B, 0xDD, 0x09, 0x12, 0x1C, 0x09, 0x43, 0xBB, 0xD4, 0x55, 
    0x7B, 0x69, 0xD6, 0xD4, 0x76, 0x09, 0x7A, 0xF1, 0x98, 0x0F, 
    0x98, 0xC7, 0xAB, 0x3E, 0xCB, 0x74, 0xE8, 0x74, 0x53, 0x1D, 
    0xFE, 0xC3, 0x0A, 0x8B, 0x4F, 0x4A, 0x66, 0x16, 0x67, 0x3E, 
    0xDF, 0x8C, 0x1E, 0x07, 0xC5, 0xB2, 0x27, 0xD9, 0xA2, 0xBF, 
    0x94, 0x8B, 0x47, 0x9D, 0x77, 0xA9, 0xB9, 0xFE, 0x18, 0x4B, 
    0x90, 0x1B, 0xCE, 0x12, 0x16, 0x0D, 0xE5, 0x56, 0x64, 0xCA, 
    0x9F, 0x34, 0x87, 0x5B, 0x52, 0x25, 0xD6, 0xCD, 0xAA, 0xC7, 
    0x57, 0xB6, 0x4B, 0x07, 0xC3, 0x84, 0xCE, 0xD5, 0xCA, 0xBE, 
    0x60, 0x0F, 0xF4, 0x2A, 0x4F, 0xC4};


//__attribute__ ((section(".flash_data")))
const uint32_t rsa_e = 0x10001;
